org.apache.storm.loadgen

## Class ThroughputVsLatency.FastRandomSentenceSpout

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichSpout
    - - org.apache.storm.loadgen.LoadSpout
      - - org.apache.storm.loadgen.ThroughputVsLatency.FastRandomSentenceSpout

- All Implemented Interfaces:
    Serializable, ISpout, IComponent, IRichSpout
  Enclosing class:
    ThroughputVsLatency

      public static class ThroughputVsLatency.FastRandomSentenceSpout
      extends LoadSpout

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastRandomSentenceSpout(long ratePerSecond)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declare the output schema for all the streams of this topology.
    `protected Values` | `getNextValues(OutputStreamEngine se)`

    - ### Methods inherited from class org.apache.storm.loadgen.LoadSpout

      `ack, fail, nextTuple, open`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseRichSpout

      `activate, close, deactivate`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

      `getComponentConfiguration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.topology.IComponent

      `getComponentConfiguration`

- - ### Constructor Detail

    - #### FastRandomSentenceSpout

          public FastRandomSentenceSpout(long ratePerSecond)

      Constructor.

      Parameters:
        `ratePerSecond` - the rate to emite tuples at.

  - ### Method Detail

    - #### getNextValues

          protected Values getNextValues(OutputStreamEngine se)

      Overrides:
        `getNextValues` in class `LoadSpout`

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Specified by:
        `declareOutputFields` in interface `IComponent`
      Overrides:
        `declareOutputFields` in class `LoadSpout`
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

Copyright © 2021 The Apache Software Foundation. All rights reserved.